Plugin
Routes registered by plugins, and plugin info. · 5 endpoints
- GET/plugins/{pluginId}/{path}
- POST/plugins/{pluginId}/{path}
- PUT/plugins/{pluginId}/{path}
- PATCH/plugins/{pluginId}/{path}
- DELETE/plugins/{pluginId}/{path}
Plugin-provided route (GET)
/api/v1/plugins/{pluginId}/{path}Any API keyRuns a route from contributes.routes of an enabled plugin. The scope required is the one declared by the route; body max 1 MB. The response is the body returned by the plugin.
Parameters
pluginIdpath · required | string max 100 | |
pathpath · required | string max 1000 · default "" |
Example request
curl "http://127.0.0.1:9900/api/v1/plugins/{pluginId}/{path}" \
-H "Authorization: Bearer dpk_xxx"Plugin-provided route (POST)
/api/v1/plugins/{pluginId}/{path}Any API keyRuns a route from contributes.routes of an enabled plugin. The scope required is the one declared by the route; body max 1 MB. The response is the body returned by the plugin.
Parameters
pluginIdpath · required | string max 100 | |
pathpath · required | string max 1000 · default "" |
Example request
curl -X POST "http://127.0.0.1:9900/api/v1/plugins/{pluginId}/{path}" \
-H "Authorization: Bearer dpk_xxx"Plugin-provided route (PUT)
/api/v1/plugins/{pluginId}/{path}Any API keyRuns a route from contributes.routes of an enabled plugin. The scope required is the one declared by the route; body max 1 MB. The response is the body returned by the plugin.
Parameters
pluginIdpath · required | string max 100 | |
pathpath · required | string max 1000 · default "" |
Example request
curl -X PUT "http://127.0.0.1:9900/api/v1/plugins/{pluginId}/{path}" \
-H "Authorization: Bearer dpk_xxx"Plugin-provided route (PATCH)
/api/v1/plugins/{pluginId}/{path}Any API keyRuns a route from contributes.routes of an enabled plugin. The scope required is the one declared by the route; body max 1 MB. The response is the body returned by the plugin.
Parameters
pluginIdpath · required | string max 100 | |
pathpath · required | string max 1000 · default "" |
Example request
curl -X PATCH "http://127.0.0.1:9900/api/v1/plugins/{pluginId}/{path}" \
-H "Authorization: Bearer dpk_xxx"Plugin-provided route (DELETE)
/api/v1/plugins/{pluginId}/{path}Any API keyRuns a route from contributes.routes of an enabled plugin. The scope required is the one declared by the route; body max 1 MB. The response is the body returned by the plugin.
Parameters
pluginIdpath · required | string max 100 | |
pathpath · required | string max 1000 · default "" |
Example request
curl -X DELETE "http://127.0.0.1:9900/api/v1/plugins/{pluginId}/{path}" \
-H "Authorization: Bearer dpk_xxx"